[package]
name = "ghost-walker"
version = "0.1.0"
edition = "2021"

[dependencies]
asynchronous-codec = "0.7.0"
bytes = "1.9.0"
clap = { version = "4.5.23", features = ["derive"] }
codec = { version = "3.6.12", package = "parity-scale-codec", features = ["derive"] }
either = "1.13.0"
futures = "0.3.31"
hex = "0.4.3"
ip_network = "0.4.1"
libp2p = { version = "0.52.0", features = ["dns", "identify", "kad", "macros", "mdns", "noise", "ping", "tcp", "tokio", "yamux", "websocket", "request-response"] }
maxminddb = "0.24.0"
pin-project = "1.1.7"
pretty-table = "0.1.3"
primitive-types = { version = "0.13.1", default-features = false, features = ["codec", "scale-info", "serde"] }
thiserror = "2.0.9"
tokio = { version = "1.42.0", features = ["macros", "time", "rt-multi-thread"] }
tracing = "0.1.41"
tracing-subscriber = { version = "0.3.19", features = ["env-filter", "fmt"] }
trust-dns-resolver = "0.23.2"
unsigned-varint = { version = "0.8.0", features = ["futures", "asynchronous_codec"] }
